/**
	Function to create the dictionary object and to store the various object values.
*/
function AttributeContainer()
{
 this.attrMap = new ActiveXObject("Scripting.Dictionary")
 this.getAttribute = function(name)
 {
   if (this.attrMap.Exists(name))
   {
     return this.attrMap.Item(name);
   }
   return null;
 }
 this.setAttribute = function(name, value)
 {
   if (this.attrMap.Exists(name))
   {
     this.attrMap.Remove(name);
     this.attrMap.Add(name, value);
   }
   else
   {
     this.attrMap.Add(name, value);
   }
 }
 this.removeAttribute = function(name)
 {
   if (this.attrMap.Exists(name))
   {
     return this.attrMap.Remove(name);
   }
 }
}
